iamcredentials  v1
Classes | Public Member Functions | List of all members
Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource Class Reference

The "serviceAccounts" collection of methods. More...

Classes

class  GenerateAccessTokenRequest
 Generates an OAuth 2.0 access token for a service account. More...
 
class  GenerateIdTokenRequest
 Generates an OpenID Connect ID token for a service account. More...
 
class  SignBlobRequest
 Signs a blob using a service account's system-managed private key. More...
 
class  SignJwtRequest
 Signs a JWT using a service account's system-managed private key. More...
 

Public Member Functions

 ServiceAccountsResource (Google.Apis.Services.IClientService service)
 Constructs a new resource. More...
 
virtual GenerateAccessTokenRequest GenerateAccessToken (Google.Apis.IAMCredentials.v1.Data.GenerateAccessTokenRequest body, string name)
 Generates an OAuth 2.0 access token for a service account. More...
 
virtual GenerateIdTokenRequest GenerateIdToken (Google.Apis.IAMCredentials.v1.Data.GenerateIdTokenRequest body, string name)
 Generates an OpenID Connect ID token for a service account. More...
 
virtual SignBlobRequest SignBlob (Google.Apis.IAMCredentials.v1.Data.SignBlobRequest body, string name)
 Signs a blob using a service account's system-managed private key. More...
 
virtual SignJwtRequest SignJwt (Google.Apis.IAMCredentials.v1.Data.SignJwtRequest body, string name)
 Signs a JWT using a service account's system-managed private key. More...
 

Detailed Description

The "serviceAccounts" collection of methods.

Constructor & Destructor Documentation

◆ ServiceAccountsResource()

Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource.ServiceAccountsResource ( Google.Apis.Services.IClientService  service)
inline

Constructs a new resource.

Member Function Documentation

◆ GenerateAccessToken()

virtual GenerateAccessTokenRequest Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource.GenerateAccessToken ( Google.Apis.IAMCredentials.v1.Data.GenerateAccessTokenRequest  body,
string  name 
)
inlinevirtual

Generates an OAuth 2.0 access token for a service account.

Parameters
bodyThe body of the request.
nameRequired. The resource name of the service account for which the credentials are requested, in the following format: projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}. The - wildcard character is required; replacing it with a project ID is invalid.

◆ GenerateIdToken()

virtual GenerateIdTokenRequest Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource.GenerateIdToken ( Google.Apis.IAMCredentials.v1.Data.GenerateIdTokenRequest  body,
string  name 
)
inlinevirtual

Generates an OpenID Connect ID token for a service account.

Parameters
bodyThe body of the request.
nameRequired. The resource name of the service account for which the credentials are requested, in the following format: projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}. The - wildcard character is required; replacing it with a project ID is invalid.

◆ SignBlob()

virtual SignBlobRequest Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource.SignBlob ( Google.Apis.IAMCredentials.v1.Data.SignBlobRequest  body,
string  name 
)
inlinevirtual

Signs a blob using a service account's system-managed private key.

Parameters
bodyThe body of the request.
nameRequired. The resource name of the service account for which the credentials are requested, in the following format: projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}. The - wildcard character is required; replacing it with a project ID is invalid.

◆ SignJwt()

virtual SignJwtRequest Google.Apis.IAMCredentials.v1.ProjectsResource.ServiceAccountsResource.SignJwt ( Google.Apis.IAMCredentials.v1.Data.SignJwtRequest  body,
string  name 
)
inlinevirtual

Signs a JWT using a service account's system-managed private key.

Parameters
bodyThe body of the request.
nameRequired. The resource name of the service account for which the credentials are requested, in the following format: projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}. The - wildcard character is required; replacing it with a project ID is invalid.

The documentation for this class was generated from the following file: